%define version	2.3
%define release	4mdk
%define name	omniorbpy
%define lib_name_orig	lib%{name}
%define lib_major	2
%define lib_name	%mklibname %{name} %{lib_major}
%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}
%define orb_ver		4

# virtual (ie empty) package to enforce naming convention

Summary:	A robust high-performance CORBA ORB for Python.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	omniORBpy-2.3.tar.bz2
URL:		http://omniorb.sourceforge.net/
BuildRequires:	perl tcl tk python-devel >=  %{py_ver} omniorb-devel >= 4.0.3 omniorb
Provides:       corba
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	%{lib_name} = %{version}-%{release}
ExclusiveArch:	ppc %{ix86}

%description
omniORB3 is an Object Request Broker (ORB) from AT&T which implements
specification 2.3 of the Common Object Request Broker Architecture (CORBA).

OmniORBpy is a robust high-performance CORBA ORB for Python.

Warning: Before OmniORB 4.0.0, it was include within,
now, it is a separate package.

# main package (contains *.so.[major].*, and binaries)

%package -n	%{lib_name}
Summary:	A robust high-performance CORBA ORB for Python.
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

# devel part of the bundle

%package -n	%{lib_name}-devel
Summary:	Header files and libraries needed for %{name} development
Group:		Development/C++
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
This package includes the header files and libraries needed for
developing programs using %{name}.

# docs and examples are in a separate package

%package -n	%{lib_name_orig}-doc
Summary:	Header files and libraries needed for %{name} development
Group:		Development/C++
Requires:	%{lib_name_orig} = %{version}

%description -n %{lib_name_orig}-doc
This package includes developers doc including examples.

%prep 
%setup -n omniORBpy-%version -q

%build
%configure
perl -pi -e "s#CXXDEBUGFLAGS   = -O2#CXXDEBUGFLAGS   = $RPM_OPT_FLAGS#g" mk/beforeauto.mk
%make 

%install
[ -d %buildroot ] && rm -rf %buildroot

install -d %buildroot%{_includedir}/omniORB%{orb_ver}
install -d %buildroot%{_libdir}/python%{py_ver}/site-packages/
install -d %buildroot%_libdir/python%{py_ver}/omniORB
install -d %buildroot%{_includedir}/omniORB%{orb_ver}
install -d %buildroot%{_libdir}/python%{py_ver}/site-packages/omniidl_be
install -d %buildroot%{_libdir}/python%{py_ver}/site-packages/CosNaming
install -d %buildroot%{_libdir}/python%{py_ver}/site-packages/CosNaming__POA

install -c -m 0644 modules/pydistdate.hh %buildroot%{_includedir}/omniORB%{orb_ver}
install -c -m 0644 include/omniORBpy.h %buildroot%{_includedir}/

install -c -m 0644 modules/_omnipymodule.so.%{version} %buildroot%{_libdir}/python%{py_ver}/site-packages

install -c -m 0644 modules/codesets/_omnicodesetsmodule.so.2.0 %buildroot%{_libdir}/python%{py_ver}/site-packages

cp -av python/*.py %buildroot%{_libdir}/python%{py_ver}/
cp -av python/omniORB/*.py %buildroot%{_libdir}/python%{py_ver}/omniORB

install -c -m 0644 omniidl_be/python.py %buildroot%{_libdir}/python%{py_ver}/site-packages/omniidl_be
install -c -m 0644 python/COS/CosNaming_idl.py %buildroot%{_libdir}/python%{py_ver}/site-packages/
install -c -m 0644 python/COS/CosNaming/__init__.py %buildroot%{_libdir}/python%{py_ver}/site-packages/CosNaming
install -c -m 0644 python/COS/CosNaming__POA/__init__.py %buildroot%{_libdir}/python%{py_ver}/site-packages/CosNaming__POA

# Create symlink for libs
( cd %buildroot%{_libdir}/python%{py_ver}/site-packages
ln -s _omnipymodule.so.%{version} _omnipymodule.so.2
ln -s _omnipymodule.so.2 _omnipymodule.so 
ln -s _omnicodesetsmodule.so.%{version} _omnicodesetsmodule.so.2
ln -s _omnicodesetsmodule.so.2 _omnicodesetsmodule.so
)

%clean
[ -z %buildroot ] || rm -rf %buildroot

%post   -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr (-,root,root)
%{_libdir}/python%{py_ver}/site-packages/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/python%{py_ver}/site-packages/*.so
%_libdir/python%{py_ver}/*.py*
%dir %_libdir/python%{py_ver}/site-packages/omniidl_be
%_libdir/python%{py_ver}/site-packages/omniidl_be/*.py*
%_libdir/python%{py_ver}/site-packages/*.py*
%dir %_libdir/python%{py_ver}/site-packages/CosNaming
%_libdir/python%{py_ver}/site-packages/CosNaming/*.py*
%dir %_libdir/python%{py_ver}/site-packages/CosNaming__POA
%_libdir/python%{py_ver}/site-packages/CosNaming__POA/*.py*
%dir %_libdir/python%{py_ver}/omniORB
%_libdir/python%{py_ver}/omniORB/*.py*

%files -n %{lib_name_orig}-doc
%defattr(-,root,root)
%doc doc/*
%doc ReleaseNotes_2_3.txt README.Python README

%changelog
* Tue Jun 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.3-4mdk
- rebuild

* Thu Feb 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.3-3mdk
- from Dirk O. Siebnich <dok@dok-net.net>:
	o fix installation of Naming_idl

* Tue Feb 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.3-2mdk
- fix provides
- fix exclusivearch
- py_ver macro

* Sat Dec 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.3-1mdk
- update buildrequires
- be sure to use $RPM_OPT_FLAGS
- from Dirk O. Siebnich <dok@dok-net.net>:
	o 2.3

* Sat Nov 01 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.2-2mdk
- from Dirk O. Siebnich <dok@dok-net.net>
	o 2.2

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-4mdk
- rebuild for new python
- buildrequires

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0-3mdk
- fix DIRM error
- use %%mklibname

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0-2mdk
- rebuild for rpm and glibc

* Thu Nov 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0-1mdk
- OmnyOrbpy sperate from omniorb
- 2.0 (was 1.4 with previous Omniorb)
- use configure
